RTEMS: mpc5200_::mpc5200_mscan Struct Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Data Fields
mpc5200_::mpc5200_mscan Struct Reference

## Data Fields
volatile uint8_t | ctl0
volatile uint8_t | ctl1
volatile uint8_t | res1
volatile uint8_t | res2
volatile uint8_t | btr0
volatile uint8_t | btr1
volatile uint8_t | res3
volatile uint8_t | res4
volatile uint8_t | rflg
volatile uint8_t | rier
volatile uint8_t | res5
volatile uint8_t | res6
volatile uint8_t | tflg
volatile uint8_t | tier
volatile uint8_t | res7
volatile uint8_t | res8
volatile uint8_t | tarq
volatile uint8_t | taak
volatile uint8_t | res9
volatile uint8_t | res10
volatile uint8_t | bsel
volatile uint8_t | idac
volatile uint8_t | res11
volatile uint8_t | res12
volatile uint8_t | res13
volatile uint8_t | res14
volatile uint8_t | res15
volatile uint8_t | res16
volatile uint8_t | rxerr
volatile uint8_t | txerr
volatile uint8_t | res17
volatile uint8_t | res18
volatile uint8_t | idar0
volatile uint8_t | idar1
volatile uint8_t | res19
volatile uint8_t | res20
volatile uint8_t | idar2
volatile uint8_t | idar3
volatile uint8_t | res21
volatile uint8_t | res22
volatile uint8_t | idmr0
volatile uint8_t | idmr1
volatile uint8_t | res23
volatile uint8_t | res24
volatile uint8_t | idmr2
volatile uint8_t | idmr3
volatile uint8_t | res25
volatile uint8_t | res26
volatile uint8_t | idar4
volatile uint8_t | idar5
volatile uint8_t | res27
volatile uint8_t | res28
volatile uint8_t | idar6
volatile uint8_t | idar7
volatile uint8_t | res29
volatile uint8_t | res30
volatile uint8_t | idmr4
volatile uint8_t | idmr5
volatile uint8_t | res31
volatile uint8_t | res32
volatile uint8_t | idmr6
volatile uint8_t | idmr7
volatile uint8_t | res33
volatile uint8_t | res34
volatile uint8_t | rxidr0
volatile uint8_t | rxidr1
volatile uint8_t | res35
volatile uint8_t | res36
volatile uint8_t | rxidr2
volatile uint8_t | rxidr3
volatile uint8_t | res37
volatile uint8_t | res38
volatile uint8_t | rxdsr0
volatile uint8_t | rxdsr1
volatile uint8_t | res39
volatile uint8_t | res40
volatile uint8_t | rxdsr2
volatile uint8_t | rxdsr3
volatile uint8_t | res41
volatile uint8_t | res42
volatile uint8_t | rxdsr4
volatile uint8_t | rxdsr5
volatile uint8_t | res43
volatile uint8_t | res44
volatile uint8_t | rxdsr6
volatile uint8_t | rxdsr7
volatile uint8_t | res45
volatile uint8_t | res46
volatile uint8_t | rxdlr
volatile uint8_t | res47
volatile uint8_t | res48
volatile uint8_t | res49
volatile uint8_t | rxtimh
volatile uint8_t | rxtiml
volatile uint8_t | res50
volatile uint8_t | res51
volatile uint8_t | txidr0
volatile uint8_t | txidr1
volatile uint8_t | res52
volatile uint8_t | res53
volatile uint8_t | txidr2
volatile uint8_t | txidr3
volatile uint8_t | res54
volatile uint8_t | res55
volatile uint8_t | txdsr0
volatile uint8_t | txdsr1
volatile uint8_t | res56
volatile uint8_t | res57
volatile uint8_t | txdsr2
volatile uint8_t | txdsr3
volatile uint8_t | res58
volatile uint8_t | res59
volatile uint8_t | txdsr4
volatile uint8_t | txdsr5
volatile uint8_t | res60
volatile uint8_t | res61
volatile uint8_t | txdsr6
volatile uint8_t | txdsr7
volatile uint8_t | res62
volatile uint8_t | res63
volatile uint8_t | txdlr
volatile uint8_t | txtbpr
volatile uint8_t | res64
volatile uint8_t | res65
volatile uint8_t | txtimh
volatile uint8_t | txtiml
volatile uint8_t | res66
volatile uint8_t | res67

The documentation for this struct was generated from the following file:

- bsps/powerpc/gen5200/include/bsp/mpc5200.h